import { OnInit, EventEmitter, AfterViewInit, SimpleChange } from '@angular/core';
import { NumericDataElement } from '../../../core/elements/models/numeric-data-element.model';
import { FormGroup, FormBuilder } from '@angular/forms';
import { SelectedCondition } from '../../../core/models/executed-result.model';
import { SimulatorEngineService } from '../../../core/services/simulator-engine.service';
import { SimulatorCommunicationService } from '../../shared/services/simulator-communication.service';
import { Subscription } from 'rxjs';
export declare class AssistNumericElementComponent implements OnInit, AfterViewInit {
    private formBuilder;
    private simulatorEngineService;
    subscription: Subscription;
    numericDataElement: NumericDataElement;
    imagePath: string;
    returnNumericElement: EventEmitter<{}>;
    numericElementForm: FormGroup;
    selectedCondition: SelectedCondition;
    numberValue: number;
    constructor(formBuilder: FormBuilder, simulatorEngineService: SimulatorEngineService, simulatorCommunicationService: SimulatorCommunicationService);
    ngOnDestroy(): void;
    ngOnInit(): void;
    ngOnChanges(changes: {
        [propKey: string]: SimpleChange;
    }): void;
    ngAfterViewInit(): void;
    loadedNumericValue(id: any, value: any, selectedCondition: any): void;
    choiceSelected(element: any, selectedCondition: any): void;
    onlyIntegerKey(event: any): boolean;
    private createNumericElementForm();
    UpdateFormValidator(): void;
}
